summaryrefslogtreecommitdiffstats
path: root/source/d/mercurial
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/mercurial')
-rwxr-xr-xsource/d/mercurial/mercurial.SlackBuild25
-rw-r--r--source/d/mercurial/mercurial.url1
-rw-r--r--source/d/mercurial/slack-desc16
3 files changed, 27 insertions, 15 deletions
diff --git a/source/d/mercurial/mercurial.SlackBuild b/source/d/mercurial/mercurial.SlackBuild
index b1629a651..ef09827bb 100755
--- a/source/d/mercurial/mercurial.SlackBuild
+++ b/source/d/mercurial/mercurial.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-$(echo mercurial-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD-1}
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=mercurial
+VERSION=${VERSION:-$(echo mercurial-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -33,7 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-mercurial
@@ -42,8 +52,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf mercurial-$VERSION
-tar xvf $CWD/mercurial-$VERSION.tar.?z* || exit 1
-cd mercurial-$VERSION
+tar xvf $CWD/mercurial-$VERSION.tar.?z || exit 1
+cd mercurial-$VERSION || exit 1
+
chown -R root.root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/d/mercurial/mercurial.url b/source/d/mercurial/mercurial.url
new file mode 100644
index 000000000..78e147980
--- /dev/null
+++ b/source/d/mercurial/mercurial.url
@@ -0,0 +1 @@
+https://www.mercurial-scm.org/release
diff --git a/source/d/mercurial/slack-desc b/source/d/mercurial/slack-desc
index e770f6c31..af82c7afd 100644
--- a/source/d/mercurial/slack-desc
+++ b/source/d/mercurial/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
# This article is licensed under the GNU Free Documentation License.
@@ -12,11 +12,11 @@
mercurial: mercurial (a distributed source management system)
mercurial:
mercurial: Mercurial is a cross-platform, distributed source management tool for
-mercurial: software developers. It is written in Python, with a binary diff
-mercurial: implementation written in C. Its major features include high-
-mercurial: performance; serverless, fully distributed collaborative development;
-mercurial: robust handling of both plain text and binary files; advanced
-mercurial: branching and merging capabilities; and full source code available
+mercurial: software developers. It is written in Python, with a binary diff
+mercurial: implementation written in C. Its major features include high-
+mercurial: performance; serverless, fully distributed collaborative development;
+mercurial: robust handling of both plain text and binary files; advanced
+mercurial: branching and merging capabilities; and full source code available
mercurial: under the terms of the LGPL.
mercurial:
mercurial: Mercurial was written by Matt Mackall and other contributors.